SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - a -

- a : SUPlane3D
- alpha : SUColor
- alpha_index : SUColorOrder
- aspect_ratio : SUBeginFrameInfo

### - b -

- b : SUPlane3D
- begin_frame : SUOverlayCreateInfo
- blending_factor : SUOverlayDrawFrameInfo
- blue : SUColor
- blue_index : SUColorOrder

### - c -

- c : SUPlane3D
- color : SUOverlayDrawFrameInfo
- component_always_face_camera : SUComponentBehavior
- component_cuts_opening : SUComponentBehavior
- component_no_scale_mask : SUComponentBehavior
- component_shadows_face_sun : SUComponentBehavior
- component_snap : SUComponentBehavior

### - d -

- d : SUPlane3D
- days_remaining : SUExtensionLicense
- definition : SUEntitiesParent
- depth : SUOverlayDrawFrameInfo
- desc : SUOverlayCreateInfo
- draw_frame : SUOverlayCreateInfo

### - e -

- end_frame : SUOverlayCreateInfo
- entity_counts : SUModelStatistics
- error_description : SUExtensionLicense

### - f -

- far_clipping_distance : SUBeginFrameInfo
- font_name : SUFontInfo
- fov : SUBeginFrameInfo

### - g -

- get_extents : SUOverlayCreateInfo
- green : SUColor
- green_index : SUColorOrder

### - h -

- height : SUBeginFrameInfo

### - i -

- id : SUOverlayCreateInfo
- image_format : SUOverlayCreateInfo
- image_orientation : SUOverlayCreateInfo
- is_bold : SUFontInfo
- is_italic : SUFontInfo
- is_licensed : SUExtensionLicense
- is_perspective : SUBeginFrameInfo

### - l -

- lower_right : SUAxisAlignedRect2D

### - m -

- m11 : SUTransformation2D
- m12 : SUTransformation2D
- m21 : SUTransformation2D
- m22 : SUTransformation2D
- material : SUMaterialInput , SUMaterialPositionInput
- max_point : SUBoundingBox3D
- min_point : SUBoundingBox3D
- model : SUEntitiesParent

### - n -

- name : SUOverlayCreateInfo
- near_clipping_distance : SUBeginFrameInfo
- normal : SURay3D
- num_uv_coords : SUMaterialInput , SUMaterialPositionInput

### - p -

- point : SURay3D
- point_size : SUFontInfo
- points : SUMaterialPositionInput
- position : SUBeginFrameInfo
- projection : SUMaterialPositionInput
- projection_matrix : SUBeginFrameInfo
- ptr : SUDrawFrameMemoryBuffer

### - q -

- q : SUUVQ

### - r -

- red : SUColor
- red_index : SUColorOrder
- reserved : SUOverlayDrawFrameInfo , SUBeginFrameInfo
- row_pitch : SUDrawFrameMemoryBuffer

### - s -

- size : SUDrawFrameMemoryBuffer
- source : SUOverlayCreateInfo
- start : SUOverlayCreateInfo
- state : SUExtensionLicense
- stop : SUOverlayCreateInfo

### - t -

- target : SUBeginFrameInfo
- tx : SUTransformation2D
- ty : SUTransformation2D

### - u -

- u : SUUVQ
- up : SUBeginFrameInfo
- upper_left : SUAxisAlignedRect2D
- use_world_size : SUFontInfo
- user_data : SUOverlayCreateInfo
- uv_coords : SUMaterialInput , SUMaterialPositionInput

### - v -

- v : SUUVQ
- values : SUTransformation
- version : SUOverlayDrawFrameInfo , SUOverlayCreateInfo , SUBeginFrameInfo , SUFontInfo
- vertex_indices : SUMaterialInput
- view_matrix : SUBeginFrameInfo
- viewport_height : SUBeginFrameInfo
- viewport_width : SUBeginFrameInfo

### - w -

- world_size : SUFontInfo

### - x -

- x : SUPoint2D , SUVector3D , SUPoint3D , SUVector2D

### - y -

- y : SUPoint2D , SUVector3D , SUPoint3D , SUVector2D

### - z -

- z : SUPoint3D , SUVector3D